severity important 536885
severity important 588240
forcemerge 588240 592710 592704 591349 579994 595241 536885
stop

On Thu, Sep 02, 2010 at 13:15:47 (CEST), Tom Parker wrote:

> Package: libavformat52
> Version: 4:0.6-2
> Severity: important
>
> With mencoder 2:1.0~rc3++final.dfsg1-1 (current testing/unstable) I get
>
> mencoder: relocation error: mencoder: symbol codec_wav_tags, version 
> LIBAVFORMAT_52 not defined in file libavformat.so.52 with link time reference
>
> Installing 2:1.0~rc4~try1.dsfg1-1 (current experimental) fixes this

Yes, the problem is that the symbol codec_wav_tags was an internal
symbol and not supposed to be used outside of libavformat.
Unfortunately, mplayer used it nevertheless.

This issue has been reported now a number of times. Perhaps we should
just add a "Breaks" relationship on libavcodec like this:

Package: libavformat52
Breaks: mplayer (<< 1.0~rc4)

This should force the mplayer package to be upgraded when installing
ffmpeg 0.6.
 
-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4



_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to